# List channels

> Retrieve a paginated list of channels.
{/* generated:versioned-pages - edit _pm-authored, not this file */}

`GET /api/channels`

Retrieves the collection of Channel resources.

Returns a paginated collection of channels in the current organization. Set `Flowkiwi-Locale` to read the translatable `name` in a given locale.

## Headers

| Name              | Type     | Required | Description                                                                                                      |
| ----------------- | -------- | -------- | ---------------------------------------------------------------------------------------------------------------- |
| `Flowkiwi-Locale` | `string` | -        | Specifies the locale for properties that support localization. If not provided, the default locale will be used. |

## Query parameters

| Name                 | Type       | Required | Description                                                                                                                                                                                                                                                                          |
| -------------------- | ---------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `page`               | `integer`  | -        | The collection page number                                                                                                                                                                                                                                                           |
| `itemsPerPage`       | `integer`  | -        | The number of items per page                                                                                                                                                                                                                                                         |
| `properties[]`       | `string[]` | -        | Allows you to reduce the response to contain only the properties you need. If your desired property is nested, you can address it using nested arrays. Example: properties[]={propertyName}&properties[]={anotherPropertyName}&properties[{nestedPropertyParent}][]={nestedProperty} |
| `id[]`               | `string[]` | -        | Only the items with one of these ids, each a UUID or the item IRI.                                                                                                                                                                                                                   |
| `status`             | `string`   | -        | Channel status                                                                                                                                                                                                                                                                       |
| `status[]`           | `string[]` | -        | Channel status                                                                                                                                                                                                                                                                       |
| `name`               | `string`   | -        | Filter on the translated "name" field (case-insensitive partial match, uses the Flowkiwi-Locale header).                                                                                                                                                                             |
| `order[name]`        | `string`   | -        | Order by translated field "name" (uses the Flowkiwi-Locale header)                                                                                                                                                                                                                   |
| `productsCount`      | `integer`  | -        | Filter by the exact number of related "products".                                                                                                                                                                                                                                    |
| `productsCount[gte]` | `integer`  | -        | Filter by the number of related "products" (gte).                                                                                                                                                                                                                                    |
| `productsCount[gt]`  | `integer`  | -        | Filter by the number of related "products" (gt).                                                                                                                                                                                                                                     |
| `productsCount[lte]` | `integer`  | -        | Filter by the number of related "products" (lte).                                                                                                                                                                                                                                    |
| `productsCount[lt]`  | `integer`  | -        | Filter by the number of related "products" (lt).                                                                                                                                                                                                                                     |
| `order[createdAt]`   | `string`   | -        | Channel order[createdAt]                                                                                                                                                                                                                                                             |
| `order[updatedAt]`   | `string`   | -        | Channel order[updatedAt]                                                                                                                                                                                                                                                             |

## Response

**200** - Channel collection

| Property     | Type        | Required | Description |
| ------------ | ----------- | -------- | ----------- |
| `search`     | `object`    | -        |             |
| `totalItems` | `integer`   | -        |             |
| `view`       | `object`    | -        |             |
| `member`     | `Channel[]` | Yes      |             |

## Errors

**403** - Access denied. The caller is missing one or more permissions required for this operation.

| Property             | Type               | Required | Description                                                                                                            |
| -------------------- | ------------------ | -------- | ---------------------------------------------------------------------------------------------------------------------- |
| `@context`           | `string \| object` | -        |                                                                                                                        |
| `@id`                | `string`           | Yes      |                                                                                                                        |
| `@type`              | `string`           | Yes      |                                                                                                                        |
| `detail`             | `string`           | -        |                                                                                                                        |
| `missingPermissions` | `string[]`         | -        | Permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied permission. |
| `status`             | `integer`          | -        |                                                                                                                        |
| `title`              | `string`           | -        |                                                                                                                        |
| `type`               | `string`           | -        |                                                                                                                        |

## Examples

### Example request

```bash
curl -X GET 'https://<tenant>.product-management.flowkiwi.net/api/channels' \
  -H 'Authorization: Bearer {access_token}' \
  -H 'Flowkiwi-Api-Version: unstable' \
  -H 'Accept: application/ld+json'
```

### Example response

```json
{
  "@context": "/api/contexts/Channel",
  "@id": "/api/channels",
  "@type": "Collection",
  "member": [
    {
      "@context": "/api/contexts/Channel",
      "@id": "/api/channels/019af8c0-7a1b-7c2d-8e3f-1a2b3c4d5e6f",
      "@type": "Channel",
      "createdAt": "2026-01-15T09:30:00+00:00",
      "id": "019af8c0-7a1b-7c2d-8e3f-1a2b3c4d5e6f",
      "name": "Online store",
      "products": [
        "/api/products/019af93e-420e-79f8-800b-6680f03dce20",
        "/api/products/019af9a1-7c2d-7e64-9b0a-1f2e3d4c5b6a"
      ],
      "status": "/api/statuses/ACTIVE",
      "updatedAt": "2026-02-03T14:45:12+00:00"
    }
  ],
  "totalItems": 1
}
```
